
// data base to correct the rom image header renamed by nestoy

size_SaveRAM = 0x2000;

// Mapper 001 -----------------------------------------------------------------
if(mapper == 1)
{
  if(sum_16k_rom() == 0x17febe || // America Daitouryou Senkyo
     sum_16k_rom() == 0x1832d8 || // Be-Bop-Highschool - Koukousei Gokuraku Densetsu
     sum_16k_rom() == 0x1ad24e || // Home Run Nighter - Pennant League!!
     sum_16k_rom() == 0x2120d7 || // Jangou
     sum_16k_rom() == 0x169d71 || // Kabushiki Doujou
     sum_16k_rom() == 0x25a475 || // Kujaku Ou 2
     sum_16k_rom() == 0x0e63a2 || // Money Game, The
     sum_16k_rom() == 0x0c0e89 || // Morita Kazuo No Shougi
     sum_16k_rom() == 0x1733a3 || // Ninjara Hoi!
     sum_16k_rom() == 0x201435 || // Tanigawa Kouji no Shougi Shinan 3
     sum_16k_rom() == 0x1d1642)   // Tsuppari Wars
  {
    header.flags_1 |= MASK_HAS_SAVE_RAM;
  }
  if(sum_16k_rom() == 0x244249)   // Best Play - Pro Yakyuu Special
  {
    size_SaveRAM = 0x4000;
    header.flags_1 |= MASK_HAS_SAVE_RAM;
  }
}

// Mapper 003 -----------------------------------------------------------------
if(mapper == 3)
{
  if(sum_16k_rom() == 0x18003f)   // Space Hunter
  {
    header.flags_1 |= MASK_4SCREEN_MIRRORING;
  }
  if(sum_16k_rom() == 0x18a60d)   // Minna no Taabou no Nakayoshi Daisakusen
  {
    if(ROM_banks[0x2B3E] == 0x20) ROM_banks[0x2B3E] = 0x60;
  }
  if(sum_16k_rom() == 0x19465B)   // Micky Mousecapade (Alt)
  {
    if(ROM_banks[0x5B98] == 0x48) ROM_banks[0x5B98] = 0x80;
  }
  if(sum_16k_rom() == 0x1a64e7)   // Twin Bee
  {
    mapper = 87;
  }
}

// Mapper 004 -----------------------------------------------------------------
if(mapper == 4)
{
  if(sum_16k_rom() == 0x1918cf || // Kunio Kun no Jidaigeki Dayo Zenin Shuugou!
     sum_16k_rom() == 0x1b2082 || // Otaku no Seiza - An Adventure in the Otaku Galaxy
     sum_16k_rom() == 0x1b3606 || // SD Gundam - Gachapon Senshi 2 - Capsule Senki
     sum_16k_rom() == 0x1dd269 || // SD Gundam - Gachapon Senshi 3 - Eiyuu Senki
     sum_16k_rom() == 0x1c8f89 || // SD Gundam - Gachapon Senshi 4 - New Type Story
     sum_16k_rom() == 0x1ba0ad || // SD Gundam - Gachapon Senshi 5 - Battle of Universal Century
     sum_16k_rom() == 0x113a37 || // Ultraman Club 3
     sum_16k_rom() == 0x1b8805)   // Yamamura Misa Suspense - Kyouto Zaiteku Satsujin Jiken
  {
    header.flags_1 |= MASK_HAS_SAVE_RAM;
  }
  if(sum_16k_rom() == 0x2186b1)   // RPG Jinsei Game
  {
    mapper = 118;
  }
}

// Mapper 005 -----------------------------------------------------------------
if(mapper == 5)
{
  if(sum_16k_rom() == 0x175510)   // Shin 4 Nin Uchi Mahjong - Yakuman Tengoku
  {
    header.flags_1 |= MASK_HAS_SAVE_RAM;
  }
  size_SaveRAM = 0x10000;
}

// Mapper 010 -----------------------------------------------------------------
if(mapper == 10)
{
  if(sum_16k_rom() == 0x1d8e9d)   // Famicom Wars
  {
    header.flags_1 |= MASK_HAS_SAVE_RAM;
  }
}

// Mapper 011 -----------------------------------------------------------------
if(mapper == 11)
{
  if(sum_16k_rom() == 0x153971)   // Maxi 15
  {
    mapper = 234;
  }
}

// Mapper 016 -----------------------------------------------------------------
if(mapper == 16)
{
  if(sum_16k_rom() == 0x1c41e1 || // Datach - Battle Rush - Build Up Robot Tournament
     sum_16k_rom() == 0x1a2976 || // Datach - Crayon Shin Chan - Ora to Poi Poi
     sum_16k_rom() == 0x2d57ab || // Datach - Dragon Ball Z - Gekitou Tenkaichi Budou Kai
     sum_16k_rom() == 0x14a891 || // Datach - J League Super Top Players
     sum_16k_rom() == 0x14dc0d || // Datach - SD Gundam - Gundam Wars
     sum_16k_rom() == 0x22bd56 || // Datach - Ultraman Club - Supokon Fight!
     sum_16k_rom() == 0x1740dc || // Datach - Yuu Yuu Hakusho - Bakutou Ankoku Bujutsu Kai
     sum_16k_rom() == 0x160022 || // Dragon Ball Z - Kyoushuu! Saiya Jin
     sum_16k_rom() == 0x13d219 || // Dragon Ball Z 2 - Gekishin Freeza!!
     sum_16k_rom() == 0x1add72 || // Dragon Ball Z 3 - Ressen Jinzou Ningen
     sum_16k_rom() == 0x159c76)   // Dragon Ball Z Gaiden - Saiya Jin Zetsumetsu Keikaku
  {
    header.flags_1 |= MASK_HAS_SAVE_RAM;
  }
}

// Mapper 019 -----------------------------------------------------------------
if(mapper == 19)
{
  if(sum_16k_rom() == 0x16ed28 || // Battle Fleet
     sum_16k_rom() == 0x1a6f7d || // Famista '90
     sum_16k_rom() == 0x1e58e7 || // Kaijuu Monogatari
     sum_16k_rom() == 0x1edbcd)   // Mindseeker
  {
    header.flags_1 |= MASK_HAS_SAVE_RAM;
  }
}

// Mapper 026 -----------------------------------------------------------------
if(mapper == 26)
{
  if(sum_16k_rom() == 0x1c710b)   // Mouryou Senki Madara
  {
    header.flags_1 |= MASK_HAS_SAVE_RAM;
  }
}

// Mapper 033 -----------------------------------------------------------------
if(mapper == 33)
{
  if(sum_16k_rom() == 0x13e63d)   // The Flintstones - The Rescue of Dino & Hoppy
  {
    mapper = 48;
  }
}

// Mapper 043 -----------------------------------------------------------------
if(mapper == 43)
{
  if(sum_16k_rom() == 0x1a03c9)   // 150-in-1
  {
    mapper = 235;
  }
}

// Mapper 065 -----------------------------------------------------------------
if(mapper == 65)
{
  if(sum_16k_rom() == 0x140108)   // Ai Sensei no Oshiete - Watashi no Hohsi
  {
    mapper = 32;
  }
}

// Mapper 068 -----------------------------------------------------------------
if(mapper == 68)
{
  if(sum_16k_rom() == 0x1a852a)   // Maharaja
  {
    header.flags_1 |= MASK_HAS_SAVE_RAM;
  }
}

// Mapper 080 -----------------------------------------------------------------
if(mapper == 80)
{
  if(sum_16k_rom() == 0x19ad02 || // Mirai Shinwa Jarvas
     sum_16k_rom() == 0x1441b9)   // Taito Grand Prix - Eikou heno License
  {
    header.flags_1 |= MASK_HAS_SAVE_RAM;
  }
}

// Mapper 082 -----------------------------------------------------------------
if(mapper == 82)
{
  if(sum_16k_rom() == 0x1bbdc9)   // Kyuukyoku Harikiri Stadium - Heisei Gannen Ban
  {
    header.flags_1 |= MASK_HAS_SAVE_RAM;
  }
}

// Mapper 086 -----------------------------------------------------------------
if(mapper == 86)
{
  if(sum_16k_rom() == 0x1583ca)   // Urusei Yatsura - Lum no Wedding Bell
  {
    mapper = 101;
  }
}

// Mapper 118 -----------------------------------------------------------------
if(mapper == 118)
{
  if(sum_16k_rom() == 0x2186b1)   // RPG Jinsei Game
  {
    header.flags_1 |= MASK_HAS_SAVE_RAM;
  }
}

// Mapper 185 -----------------------------------------------------------------
if(mapper == 185)
{
  if(sum_16k_rom() == 0x176069)   // Banana
  {
    /* ??? */
  }
}

